- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO::Portable_Server::ImplicitActivationPolicy Class Reference

`#include <ImplicitActivationPolicy.h>`

Inheritance diagram for TAO::Portable_Server::ImplicitActivationPolicy:

[legend]
Collaboration diagram for TAO::Portable_Server::ImplicitActivationPolicy:

[legend]
List of all members.

## Public Member Functions
| ImplicitActivationPolicy (::PortableServer::ImplicitActivationPolicyValue value)
CORBA::Policy_ptr | copy () throw (CORBA::SystemException)
void | destroy () throw (CORBA::SystemException)
::PortableServer::ImplicitActivationPolicyValue | value () throw (CORBA::SystemException)
CORBA::PolicyType | policy_type () throw (CORBA::SystemException)
virtual TAO_Cached_Policy_Type | _tao_cached_type (void) const
| Return the cached policy type for this policy.
virtual TAO_Policy_Scope | _tao_scope (void) const
| Returns the scope at which this policy can be applied. See orbconf.h.
## Private Attributes
::PortableServer::ImplicitActivationPolicyValue | value_

## Constructor & Destructor Documentation

TAO::Portable_Server::ImplicitActivationPolicy::ImplicitActivationPolicy | ( | ::PortableServer::ImplicitActivationPolicyValue | value | ) |

## Member Function Documentation

TAO_Cached_Policy_Type TAO::Portable_Server::ImplicitActivationPolicy::_tao_cached_type | ( | void |  | ) | const`[virtual]`

Return the cached policy type for this policy.

Reimplemented from CORBA::Policy.

TAO_Policy_Scope TAO::Portable_Server::ImplicitActivationPolicy::_tao_scope | ( | void |  | ) | const`[virtual]`

Returns the scope at which this policy can be applied. See orbconf.h.

Reimplemented from CORBA::Policy.

CORBA::Policy_ptr TAO::Portable_Server::ImplicitActivationPolicy::copy | ( |  | ) | throw (CORBA::SystemException)`[virtual]`

Implements PortableServer::ImplicitActivationPolicy.

void TAO::Portable_Server::ImplicitActivationPolicy::destroy | ( |  | ) | throw (CORBA::SystemException)`[virtual]`

Implements PortableServer::ImplicitActivationPolicy.

CORBA::PolicyType TAO::Portable_Server::ImplicitActivationPolicy::policy_type | ( |  | ) | throw (CORBA::SystemException)`[virtual]`

Reimplemented from CORBA::Policy.

PortableServer::ImplicitActivationPolicyValue TAO::Portable_Server::ImplicitActivationPolicy::value | ( |  | ) | throw (CORBA::SystemException)`[virtual]`

Implements PortableServer::ImplicitActivationPolicy.

## Member Data Documentation

::PortableServer::ImplicitActivationPolicyValue TAO::Portable_Server::ImplicitActivationPolicy::value_`[private]`

The documentation for this class was generated from the following files:

- ImplicitActivationPolicy.h
- ImplicitActivationPolicy.cpp